Description

draft 1: "https only"

® Block everything incoming besides https
¢ Reasoning:
o containers by default insecure
o if https open -> it is likely intended
e container types (brainstorming)
o databases
o message broker
o workers (probably not even reachable)
o a lot of http only stuff

draft 2: tls/ssl in a container

¢ geta name
* get a cert
e TBD

draft 3: "NAT66 + firewall"

Use the same approach as in IPv4 world

We use a site local IPv6 addresses

Do a NAT66 to the one IPv6 address of the host
People can behave/have similar mechanisms as before

History

#1 - 11/29/2019 06:36 PM - Den Ivanov
Is that related to https:/redmine.ungleich.ch/issues/7359 ?

#2 - 11/30/2019 12:34 PM - Nico Schottelius
- Description updated

- Status changed from New to In Progress

#3 - 11/30/2019 12:38 PM - Nico Schottelius

- Description updated

#4 - 11/30/2019 12:46 PM - Nico Schottelius

- Description updated

#5 - 11/30/2019 12:48 PM - Nico Schottelius

- Description updated
#6 - 11/30/2019 09:18 PM - Den Ivanov

Some advices -> maybe that would help (*may be dependent on docker version):
1) Run docker with: ™" --ipv6 --fixed-cidr-v6={{ our net }} ™"
2) Change sysctl options:

net.ipve.conf.all.forwarding=1
net.ipv6.conf.default.forwarding=1
net.ipvé.conf.eth0.accept_ra=2

3) Remove IPv4-only embedded docker DNS server (useful when using custom networks created with "docker network create"):

RESOLV_CONF=$(sed 's/nameserver 127.0.0.11//g' /etc/resolv.conf)
echo "$RESOLV_CONF" > /etc/resolv.conf

#7 - 11/30/2019 09:47 PM - Evil Ham
This might benefit from #7379 :-D

#8 - 01/02/2024 12:35 PM - Nico Schottelius

- Status changed from In Progress to Closed
